[tool.poetry]
name = "fw-gear-fast-surfer"
version = "1.0.4"
description = "Wrapper for Fast Surfer"
authors = ["Flywheel <support@flywheel.io>"]
readme = "README.md"
license = "MIT"
keywords = [
    "Flywheel",
    "Gears"
]
repository = "https://gitlab.com/flywheel-io/flywheel-apps/templates/skeleton"
classifiers = [
    "Topic :: Scientific/Engineering"
]

[tool.poetry.dependencies]
python = "^3.8"
flywheel-gear-toolkit = "^0.2"

[tool.poetry.dev-dependencies]
pytest = "^6.1.2"
pytest-cov = "^2.10.1"
pytest-mock = "^3.3.1"
coverage = {extras = ["toml"], version = "^5.3"}
black = "^20.8b1"
isort = "^5.6.4"
pylint = "^2.6.0"
pycodestyle = "^2.6.0"
pydocstyle = "^5.1.1"
mypy = "^0.790"


[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.core.masonry.api"
